Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class ArrangeableStateDefaultImpl

    java.lang.Object
      org.richfaces.model.ArrangeableStateDefaultImpl

All Implemented Interfaces:
  org.richfaces.model.ArrangeableState

    public class ArrangeableStateDefaultImpl

extends Object
implements org.richfaces.model.ArrangeableState

Author:
  Konstantin Mishin

Constructor Summary
`ArrangeableStateDefaultImpl(List<org.richfaces.model.FilterField> filterFields, List<org.richfaces.model.SortField> sortFields, Locale locale)`

Method Summary
`List<org.richfaces.model.FilterField>` | `getFilterFields()`
`Locale` | `getLocale()`
`List<org.richfaces.model.SortField>` | `getSortFields()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrangeableStateDefaultImpl

    public ArrangeableStateDefaultImpl(List<org.richfaces.model.FilterField> filterFields,
                                       List<org.richfaces.model.SortField> sortFields,
                                       Locale locale)

Method Detail

### getFilterFields

    public List<org.richfaces.model.FilterField> getFilterFields()

  Specified by:
    `getFilterFields` in interface `org.richfaces.model.ArrangeableState`

### getSortFields

    public List<org.richfaces.model.SortField> getSortFields()

  Specified by:
    `getSortFields` in interface `org.richfaces.model.ArrangeableState`

### getLocale

    public Locale getLocale()

  Specified by:
    `getLocale` in interface `org.richfaces.model.ArrangeableState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.